shishi_hmac_md5(3)

NAME
shishi_hmac_md5 - API function

SYNOPSIS
#include <shishi.h>

int shishi_hmac_md5(Shishi * handle, const char * key, size_t keylen, const char * in, size_t inlen, char * outhash[16]);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * key
    input character array with key to use.

size_t keylen
    length of input character array with key to use.

const char * in
    input character array of data to hash.

size_t inlen
    length of input character array of data to hash.

char * outhash[16]

DESCRIPTION
Compute keyed checksum of data using HMAC-MD5. The outhash buffer must be deallocated by the caller.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.